User talk:Brynwood

From MythTV Official Wiki
Jump to: navigation, search

No source documentation is provided for the statement "XvMC is no longer recommended for use for any content." Who is no longer recommending Xvmc?

The developers. XvMC is no longer supported by modern nVidia cards and drivers (and hasn't been since the 7xxx series). It has been superceeded by the VDPAU, VAAPI, and CHD decoding interfaces which provide much greater capability. It only provides a partial offload of MPEG2 content, bringing the requirement for broadcast HD down from a high end P4 to a mid-range P4. In exchange, it places some serious restrictions on the OSD. It has never been recommended ever since CPUs were powerful enough to decode HD MPEG2 content entirely within software, and it is currently on the chopping block for removal in 0.25.
Can you provide a link to some statement that supports your assertion?
Wikipedia - "the official proprietary binary driver by Nvidia only supports MPEG-2 offloading (mo comp and iDCT) on hardware up to and including the GeForce 7000 series"
I bought a card last year that supports Xvmc. And it's the only way to make HD content playable on my hardware. Looking over the video card listings in NewEgg, there are plenty of G Force 6000 and below cards still for sale. Your answer assumes that MythTV users will use state of the art hardware. If I could afford state of the art hardware, I wouldn't be using free software.
We would expect people to buy the $25 VDPAU capable 8400GS rather than the $45 6200 card.
Finally, Which developers are "The developers"? X.org developers? MythTV developers? NVIDIA developers?
The MythTV developers who are going to remove XvMC support as soon as 0.24 branches. The nVidia developers who already removed support from their cards three years ago. The Intel developers who abandoned XvMC in favor of VAAPI.
But to be very, very specific, both of us who keep responding to your are MythTV developers.